## haskell-github 0.29

=== debian/changelog ===
haskell-github (0.29-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 08 Oct 2024 18:43:26 +0300
